#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	C++ wrapper for cairo
Summary(pl.UTF-8):	Interfejs C++ do cairo
Name:		cairomm1.16
Version:	1.16.1
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://www.cairographics.org/releases/cairomm-%{version}.tar.xz
# Source0-md5:	de5caf271d8e40adee7291d2bf4b77c1
URL:		https://www.cairographics.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel >= 1.12.0
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	graphviz
BuildRequires:	libsigc++3-devel >= 1:3.0.0
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mm-common >= 0.9.12
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	cairo >= 1.12.0
Requires:	libsigc++3 >= 1:3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrapper for cairo.

%description -l pl.UTF-8
Interfejs C++ do cairo.

%package devel
Summary:	Development files for cairomm library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki cairomm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.12.0
Requires:	libsigc++3-devel >= 1:3.0.0
Requires:	libstdc++-devel >= 6:7

%description devel
Development files for cairomm library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki cairomm.

%package static
Summary:	Static cairomm library
Summary(pl.UTF-8):	Statyczna biblioteka cairomm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static cairomm library.

%description static -l pl.UTF-8
Statyczna biblioteka cairomm.

%package apidocs
Summary:	cairomm API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki cairomm
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for cairomm library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki cairomm.

%prep
%setup -q -n cairomm-%{version}

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcairomm-1.16.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libcairomm-1.16.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcairomm-1.16.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcairomm-1.16.so
%{_libdir}/cairomm-1.16
%{_includedir}/cairomm-1.16
%{_pkgconfigdir}/cairomm-1.16.pc
%{_pkgconfigdir}/cairomm-ft-1.16.pc
%{_pkgconfigdir}/cairomm-pdf-1.16.pc
%{_pkgconfigdir}/cairomm-png-1.16.pc
%{_pkgconfigdir}/cairomm-ps-1.16.pc
%{_pkgconfigdir}/cairomm-svg-1.16.pc
%{_pkgconfigdir}/cairomm-xlib-1.16.pc
%{_pkgconfigdir}/cairomm-xlib-xrender-1.16.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcairomm-1.16.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/cairomm-1.16
%{_datadir}/devhelp/books/cairomm-1.16
%changelog
* Sat May 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cairomm1.16.git;a=log;h=master

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> dfaa183
- updated to 1.16.1

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> cb5077a
- unconditional noarch subpackages

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> a2f3db3
- cairomm.spec updated to 1.16.0 (API 1.16); C++17 now, uses libsigc++-3

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 294419a
- updated cairo,libsigc++ dependencies

* Fri Oct 02 2020 Jakub Bogusz <qboosh@pld-linux.org> b812517
- disable silent-rules

* Thu Oct 01 2020 Jakub Bogusz <qboosh@pld-linux.org> edc6419
- updated to 1.14.2

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> bb5ebf2
- updated to 1.12.2

* Tue Sep 29 2015 Jakub Bogusz <qboosh@pld-linux.org> bd51deb
- updated to 1.12.0; C++11 now

* Mon Sep 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 682a133
- release 5 (by relup.sh)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> c595cef
- x32 rebuild
- release 4 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> b73a9f9
- noarch apidocs

* Sat Jul 13 2013 Marcin Krol <hawk@tld-linux.org> c9f9dcb
- release 2 (by relup.sh)

* Tue May 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 6642722
- updated to 1.10.0

* Tue Apr 12 2011 Artur Frysiak <artur@frysiak.net> 934e348
- up to 1.9.8, merged from DEVEL
- drop libtool file

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 4f18b4b
- mm version

* Tue Nov 09 2010 Caleb Maclennan <caleb@alerque.com> 7d8fe61
- Down to 1.8.x stable branch, up to 1.8.6. Patch removal from mistaken upgrade to devel branch still relevant, applied in upstream 1.8.x

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 9e1f3af
- Up to 1.9.6
- Removed patch applied upstream

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> d45e5dd
- unified files order

* Sat Sep 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 6477247
- -devel R: libsigc++-devel

* Tue Feb 09 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 7dad41b
- updated to 1.8.4
- added -typo.patch

